<h2><center>Service Level Report</center></h2>
<h4><center>{{filters.branch}}</center></h4>
<h5> <center>FROM {{filters.from_date}} TO {{filters.to_date}}</center></h5>
{% if filters.supplier_name %}
<h5> <center> Supplier: {{filters.supplier_name}}
    {% endif %}</center> </h5>

    {% if filters.discount_name %}
    <h5><center>Discount: {{filters.supplier_discount_name}}
    </center></h5>

    {% endif %}


<table class = "table table-bordered table-condensed">
    <tr>
        {% for ( var i = 0, l = report.columns.length; i < l; i++) { %}
            {% var col = report.columns[i] %}
            <th><center>{%= col.label %}</center></th>
        {% } %}
    </tr>

    {% for (var i=0, l= data.length; i < l; i++) { %}
    {% var row = data[i]; %}
    <tr>
        {% for ( var x = 0, y = report.columns.length; x < y; x++) { %}
            {% if x== 0%}
                <td>{{(i+1)}}</td>
            {% endif %}
            {% if x>0 %}
            {% var col = report.columns[x] %}
                {% if (col.label == "Purchase Order") || (col.label=="Linked RR's") %}
                    <td><center>
                        {% if col.label == "Purchase Order" %}
                            {{row.po_name}}
                        {% else %}
                            {{row.rr_name}}
                        {% endif %}
                    </center></td>
                {% else %}
                    <td><center>{%= frappe.format(row[col.fieldname], {fieldtype: col.fieldtype}) %}
                    </center></td>
                {% endif %}
            {% endif %}
        {% } %}

    </tr>

    {% } %}
</table>
